function test_vhfbeam

getfigure(mfilename,[0.25 2.5 6 6], 500)

H = 300;

North = linspace (-2.5,2.5,100);
East = linspace (-2.5,2.5,100);


NORTH = North * pi/180;
EAST = East * pi/180;

G = zeros(length(NORTH),length(EAST));

for n = 1:length(EAST)
    g = simple_vhfbeam ( EAST(n), NORTH);
    G(:,n) = g(:);
end


levels = [1 0.5 0.1 0.01];

[cc,h] = contour (NORTH*H,EAST*H,G,levels,'r-');

clabel(cc,h);
set (h, 'linewidth', 1.0);
set (gca,'tickdir','out');
set (gca,'ticklength',[0.015 0.025]);
set (gca,'layer','top');

axis square
axis equal

xlabel ('W-E (km)')
ylabel ('S-N (km)')